List Timeoff requests
/unified/hris/timeoff_requests
Partial response — use the "get" endpoint for the full object.
Query Parameters
Refer Specifying query parameters in Truto APIs
This represents the employee requesting time off.
16 supported4 required2 notes
This represents the employee the balance belongs to.
The employee to filter the time off requests by
The unique identifier for employees
This represents the name of the employee.
The unique identifier for TimeoffType
holidaysickness
12 supported1 required
This represents the start time of the time off request.
15 supported3 required
This represents the end time of the time off request.
15 supported3 required
This represents the status of the time off request.
APPROVEDPLANNEDREJECTEDREQUESTEDWITHDRAWNallclosedpending
15 supported2 required
PLANNEDAPPROVEDREJECTEDREQUESTEDWITHDRAWNallpendingclosed1 supported
The employee ID you want to get the time off requests for
2 supported
This represents the date when the timeoffpolicies was updated
7 supported
The employee number you want to get the time off requests for
1 supported
Show Truto-specific parameters
The ID of the integrated account to use for the request.
62f44730-dd91-461e-bd6a-aedd9e0ad79dThe format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
Defaults to unified.
unifiedunifiedrawnormalizedstream
By default the result attribute is an array of objects. This parameter allows you to specify a field in each result objects to use as key, which transforms the result array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.
idIgnores the limit query parameter.
Excludes the remote_data attribute from the response.
Array of fields to exclude from the response.
truto_exclude_fields[]=id&truto_exclude_fields[]=nameQuery parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
remote_query[foo]=barResponse Body
The cursor to use for the next page of results. Pass this value as next_cursor in the query parameter in the next request to get the next page of results.
List of Timeoff requests
The unique identifier for timeoffpolicies
16 supported
This represents the amount of the time off request.
12 supported
This represents the approver of the time off request.
2 supported
This represents the date when the timeoffpolicies was created
8 supported
This represents the description of the time off request.
11 supported
This represents the employee requesting time off.
16 supported
2 properties
The unique identifier for employees
This represents the name of the employee.
This represents the employee note for the time off request.
2 supported
This represents the end time of the time off request.
15 supported
This represents the reason of the time off request.
2 supported
2 properties
The unique identifier for timeoff_reason
This represents the name of the timeoff_reason.
Raw data returned from the remote API call.
This represents the request type of the time off request.
3 supported
This represents the session of the time off request.
fullmorningafternoon
5 supported
This represents the start time of the time off request.
15 supported
This represents the status of the time off request.
15 supported
This represents the time off type of the time off request.
12 supported
This represents the units of the time off request.
hoursdaysweeksmonths
9 supported
This represents the date when the timeoffpolicies was updated
7 supported
curl -X GET 'https://api.truto.one/unified/hris/timeoff_requests?integrated_account_id=<integrated_account_id>' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json'const integratedAccountId = '<integrated_account_id>';
const response = await fetch(`https://api.truto.one/unified/hris/timeoff_requests?integrated_account_id=${integratedAccountId}`, {
method: 'GET',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/unified/hris/timeoff_requests"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
"integrated_account_id": "<integrated_account_id>"
}
response = requests.get(url, headers=headers, params=params)
print(response.json())import Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
const result = await truto.unifiedApi.list(
'hris',
'timeoffrequests',
{ integrated_account_id: '<integrated_account_id>' }
);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
async for item in truto_api.unified_api.list(
"hris",
"timeoffrequests",
{"integrated_account_id": "<integrated_account_id>"}
):
print(item)
asyncio.run(main())